/*
 * Copyright 2020-2021 Thingstream AG
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef INC_MODEM_MULTIPLEXOR_H_
#define INC_MODEM_MULTIPLEXOR_H_

#include <stdint.h>

#if defined(__cplusplus)
extern "C" {
#elif 0
}
#endif

/**
 * If the application updates this variable then that routine routine will be
 * called when the modem transport receives an unexpected response.
 *
 * @param response the unrecognized modem response
 * @param len the length of the response
 */
extern void (*Application_activeModemCallback)(const char* data, uint16_t len);

#if defined(__cplusplus)
}
#endif

#endif /* #ifndef INC_MODEM_MULTIPLEXOR_H_ */
