/*
 * Copyright 2018-2020 Thingstream AG
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef INC_THINGSTREAM_H_
#define INC_THINGSTREAM_H_

/* Required to avoid Client name clash on some targets, e.g. esp32 */
#define THINGSTREAM_NO_SHORT_NAMES

#include "../sdk/inc/client_api.h"
#include "../sdk/inc/thingstream_transport.h"
#include "../sdk/inc/predefined_topics.h"
#include "../sdk/inc/base64_codec_transport.h"
#include "../sdk/inc/client_platform.h"
#include "../sdk/inc/transport_api.h"
#include "../sdk/inc/modem_transport.h"
#include "../sdk/inc/sdk_data.h"
#include "../sdk/inc/modem2_config.h"

#include "../sdk/inc/log_modem_transport.h"
#include "../sdk/inc/log_client_transport.h"
#include "../sdk/inc/thingstream_util.h"

#include "../inc/serial_transport.h"

/* Macro to eliminate warnings about unused parameters. */
#undef UNUSED
#define UNUSED(symbol) ((void)symbol)

#endif /* INC_THINGSTREAM_H_ */
